libx86-devel-1.1-32.mga6.i586.rpm


Advertisement

Description

libx86-devel - Development files for libx86

Distribution: Mageia Cauldron
Repository: Mageia Core i586
Package name: libx86-devel
Package version: 1.1
Package release: 32.mga6
Package architecture: i586
Package type: rpm
Installed size: 2.66 KB
Download size: 10.08 KB
Official Mirror: distrib-coffee.ipsl.jussieu.fr
This package contains the static library and header file necessary for development of programs that will use libx86 to make real-mode x86 calls.

Alternatives

Provides

  • devel(libx86)
  • libx86-devel == 1.1-32.mga6
  • libx86-devel(x86-32) == 1.1-32.mga6
  • pkgconfig(x86) == 1.1

    Download

    Install Howto

    1. Enable Mageia Core repository on "Install and Remove Software"
    2. Update packages list:
      # urpmi.update -a
    3. Install libx86-devel rpm package:
      # urpmi libx86-devel

    Files

    • /usr/include/libx86.h
    • /usr/lib/libx86.so
    • /usr/lib/pkgconfig/x86.pc

    Changelog

    2016-06-16 - pterjan <pterjan> 1.1-32.mga6 + Revision: 1021827 - Try fixing build on arm

    2016-06-16 - tv <tv> 1.1-31.mga6 + Revision: 1021803 - new std build_macros

    2016-06-15 - tv <tv> 1.1-30.mga6 + Revision: 1021540 - drop static library

    2016-03-17 - pterjan <pterjan> 1.1-29.mga6 + Revision: 992611 - Use x86emu on everything except i586 and do not restict arches

    2016-02-20 - umeabot <umeabot> 1.1-28.mga6 + Revision: 971835 - Mageia 6 Mass Rebuild

    2015-10-20 - tv <tv> 1.1-27.mga6 + Revision: 893111 - fix build: use -fPIC + cjw <cjw> - patch6: fix build (CFLAGS vs. -fPIC)

    2015-06-08 - luigiwalser <luigiwalser> 1.1-26.mga5 + Revision: 822949 - rebuild for release

    2015-06-08 - luigiwalser <luigiwalser> 1.1-25.mga5 + Revision: 822945 - only apply patch 2 on x86_64

    2015-05-20 - eatdirt <eatdirt> 1.1-24.mga5 + Revision: 822441 - Restoring patch 2 to fix segfault mga#13676 + fixing patch4 - Add BACKEND=x86emu on x86_64 build + luigiwalser <luigiwalser> - disable x86emu backend also on x86_64 (mga#13676)

    2015-04-09 - luigiwalser <luigiwalser> 1.1-23.mga5 + Revision: 819951 - disable patch 2 and do not build with x86emu on i586 - this fixes vbetool (mga#3910) and monitor-get-edid-using-vbe (mga#13961)

    Advertisement
    Advertisement